DBLINK_DISCONNECT(3)

NAME
dblink_disconnect - closes a persistent connection to a remote database

SYNOPSIS

dblink_disconnect() returns text
dblink_disconnect(text connname) returns text

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

dblink_disconnect() closes a connection previously opened by dblink_connect(). The form with no arguments closes an unnamed connection.

ARGUMENTS

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

conname
    The name of a named connection to be closed.

RETURN VALUE

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

Returns status, which is always OK (since any error causes the function to throw an error instead of returning).

EXAMPLES

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

    SELECT dblink_disconnect();
     dblink_disconnect
    -------------------
     OK
    (1 row)

    SELECT dblink_disconnect('myconn');
     dblink_disconnect
    -------------------
     OK
    (1 row)